Package org.h2gis.functions.io.geojson

## Class GeoJsonField

- java.lang.Object
- - org.h2gis.functions.io.geojson.GeoJsonField

    public class GeoJsonField
    extends Object

GeoJson fields used by the standard.

Author:
  Erwan Bocher, Hai Trung Pham

### Field Summary

Fields
`static String` `BBOX`
`static String` `COORDINATES`
`static String` `CRS`
`static String` `CRS_URN_EPSG`
`static String` `CRS_URN_OGC`
`static String` `FEATURE`
`static String` `FEATURE_ID` If a Feature has a commonly used identifier, that identifier SHOULD be included as a member of the Feature object with the name "id", and the value of this member is either a JSON string or number.
`static String` `FEATURECOLLECTION`
`static String` `FEATURES`
`static String` `GEOMETRIES`
`static String` `GEOMETRY`
`static String` `GEOMETRYCOLLECTION`
`static String` `LINESTRING`
`static String` `LINK`
`static String` `MULTILINESTRING`
`static String` `MULTIPOINT`
`static String` `MULTIPOLYGON`
`static String` `NAME`
`static String` `POINT`
`static String` `POLYGON`
`static String` `PROPERTIES`
`static String` `TYPE`

### Constructor Summary

Constructors
`GeoJsonField()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME

    public static String NAME

#### CRS

    public static String CRS

#### FEATURES

    public static String FEATURES

#### FEATURECOLLECTION

    public static String FEATURECOLLECTION

#### FEATURE

    public static String FEATURE

#### GEOMETRY

    public static String GEOMETRY

#### PROPERTIES

    public static String PROPERTIES

#### FEATURE_ID

    public static String FEATURE_ID

If a Feature has a commonly used identifier, that identifier SHOULD be included as a member of the Feature object with the name "id", and the value of this member is either a JSON string or number.

#### POINT

    public static String POINT

#### LINESTRING

    public static String LINESTRING

#### POLYGON

    public static String POLYGON

#### MULTIPOINT

    public static String MULTIPOINT

#### MULTILINESTRING

    public static String MULTILINESTRING

#### MULTIPOLYGON

    public static String MULTIPOLYGON

#### COORDINATES

    public static String COORDINATES

#### GEOMETRYCOLLECTION

    public static String GEOMETRYCOLLECTION

#### GEOMETRIES

    public static String GEOMETRIES

#### CRS_URN_EPSG

    public static String CRS_URN_EPSG

#### CRS_URN_OGC

    public static String CRS_URN_OGC

#### LINK

    public static String LINK

#### BBOX

    public static String BBOX

#### TYPE

    public static String TYPE

### Constructor Detail

#### GeoJsonField

    public GeoJsonField()